svg#svg(height="80vh" width="100%" xmlns="http://www.w3.org/2000/svg")
  state
    transition(duration="500ms")
    property(name="range" min="0" max="10" type="number" initial="0")
      relation(query-selector='#ex1' attribute-name='width' from='0%' to='100%')

  rect(id="ex1" width="0%" height="5%" style="fill:red;")
  rect(id="ex2" y="20%" width="0%" height="10%" style="fill:red;")
